%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:		gourmet
Version:	0.8.5.14
Release:	2%{?dist}
Summary:	PyGTK Recipe Manager

Group:		Applications/Productivity
License:	GPL
URL:		http://grecipe-manager.sourceforge.net
Source0:	http://easynews.dl.sourceforge.net/sourceforge/grecipe-manager/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:	noarch
BuildRequires:	python >= 0:2.2
BuildRequires:	gettext
BuildRequires:	desktop-file-utils
BuildRequires:	sed >= 3.95
Requires:	python-abi = %(%{__python} -c "import sys ; print sys.version[:3]")
Requires:	gnome-python2
Requires:	gnome-python2-gnomeprint
Requires:	metakit
Requires:	pygtk2 > 2.3.9
Requires:	PyRTF
Requires:	python-imaging

%description
Gourmet Recipe Manager is a recipe-organizer for GNOME that generates shopping
lists and allows rapid searching of recipes. It imports mealmaster & mastercook
files and exports webpages & other formats. Gourmet uses python, gtk and
metakit.

%prep
%setup -q
%{__sed} -i 's?\.$??g' gourmet.desktop
%{__sed} -i 's?\r??' src/lib/defaults_sk.py
%{__sed} -i 's?\r??' src/lib/defaults_pt.py
chmod -x data/recipe.dtd
# remove *.mo files - we'll regenerate them
pushd i18n
find -name \*.mo |xargs rm -f
popd
# remove shell bangs
pushd src/lib
for file in `find . -type f`; do
  cp $file $file.orig
  grep -v "\#\!\/usr\/bin" $file.orig > $file
  rm -f $file.orig
done
popd

%build
pushd i18n
for file in *.po; do
	sh make_mo.sh $(basename $file .po)
done
popd

%{__python} setup.py build

%install
rm -rf %buildroot
%{__python} setup.py install -O1 --skip-build --root %buildroot \
--disable-modules-check


desktop-file-install %buildroot%_datadir/applications/gourmet.desktop \
--vendor=fedora \
--add-category=X-Fedora \
--dir=%buildroot%_datadir/applications \
--copy-name-to-generic-name \
--delete-original

%find_lang %{name}

%clean
rm -rf %buildroot


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc CHANGES PKG-INFO README TODO
%doc documentation
%_bindir/gourmet
# sitelib stuff
%dir %{python_sitelib}/gourmet
%{python_sitelib}/gourmet/*.py
%{python_sitelib}/gourmet/*.pyc
%ghost %{python_sitelib}/gourmet/*.pyo
%dir %{python_sitelib}/gourmet/backends
%{python_sitelib}/gourmet/backends/*.py
%{python_sitelib}/gourmet/backends/*.pyc
%ghost %{python_sitelib}/gourmet/backends/*.pyo
%dir %{python_sitelib}/gourmet/exporters
%{python_sitelib}/gourmet/exporters/*.py
%{python_sitelib}/gourmet/exporters/*.pyc
%ghost %{python_sitelib}/gourmet/exporters/*.pyo
%dir %{python_sitelib}/gourmet/importers
%{python_sitelib}/gourmet/importers/*.py
%{python_sitelib}/gourmet/importers/*.pyc
%ghost %{python_sitelib}/gourmet/importers/*.pyo
%dir %{python_sitelib}/gourmet/importers/html_plugins
%{python_sitelib}/gourmet/importers/html_plugins/*.py
%{python_sitelib}/gourmet/importers/html_plugins/*.pyc
%ghost %{python_sitelib}/gourmet/importers/html_plugins/*.pyo
# datadir stuff
%{_datadir}/applications/fedora-gourmet.desktop
%{_datadir}/pixmaps/recbox.png
%{_datadir}/gourmet

%changelog
* Tue Apr 25 2006 Michael A. Peters <mpeters@mac.com> - 0.8.5.14-2
- try build again

* Fri Mar 17 2006 Michael A. Peters <mpeters@mac.com> - 0.8.5.14-1
- New upstream version
- rpmlint cleanup

* Fri Nov 11 2005 Michael A. Peters <mpeters@mac.com> - 0.8.5.13-1
- New upstream version

* Thu Sep 22 2005 Michael A. Peters <mpeters@mac.com> - 0.8.5.12-1
- New upstream version

* Mon Jun 13 2005 Michael A. Peters <mpeters@mac.com> - 0.8.5.2-1
- Initial checkin to cvs
